Page MenuHomeFreeBSD

net/openldap24-server: Fix PR/229939 - Start slapd before kdc
ClosedPublic

Authored by cy on Aug 6 2018, 6:30 AM.

Details

Summary

PR 229939 (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229939) documents a problem whereby a server is serving LDAP and kdc, the kdc starts before slapd. This patch ensures slapd starts before kdc.

The reason to patch openldap24-server is etc/rc.d/kdc in base cannot depend on a port starting. Another option might be to provide a kdc startup script in ports/security/krb5-*, however users may still use the base provided kdc script, therefore this is probably the best option.

Test Plan

Pending user testing of the patch in PR 229939.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

cy created this revision.Aug 6 2018, 6:30 AM
delphij accepted this revision.Aug 6 2018, 4:07 PM

LGTM (please verify that rcorder /usr/local/etc/rc.d/* /etc/rc.d/* > /dev/null won't give cycles before committing).

This revision is now accepted and ready to land.Aug 6 2018, 4:07 PM
linimon retitled this revision from Fix PR/229939 - Start slapd before kdc to net/openldap24-server: Fix PR/229939 - Start slapd before kdc.Aug 7 2018, 6:18 AM
delphij requested changes to this revision.Aug 7 2018, 5:45 PM
delphij added inline comments.
net/openldap24-server/Makefile
7 ↗(On Diff #46329)

Actually, this is wrong. You should bump OPENLDAP_PORTREVISION below instead.

69 ↗(On Diff #46329)

Namely, here.

This revision now requires changes to proceed.Aug 7 2018, 5:45 PM
cy planned changes to this revision.Aug 9 2018, 3:17 AM
cy marked an inline comment as done.
cy added inline comments.
net/openldap24-server/Makefile
69 ↗(On Diff #46329)

Thank you.

cy updated this revision to Diff 46443.Aug 9 2018, 3:23 AM
cy marked an inline comment as done.

Applied Xin's change.

cy marked an inline comment as done.Aug 9 2018, 3:23 AM
delphij accepted this revision.Aug 9 2018, 5:12 AM

LGTM, thanks!

This revision is now accepted and ready to land.Aug 9 2018, 5:12 AM
This revision was automatically updated to reflect the committed changes.